Module jdk.compiler
Package com.sun.source.tree

# Interface PatternTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `BindingPatternTree`

public interface PatternTree extends Tree
A tree node used as the base class for the different kinds of patterns.

Since:
  16

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`